VkPhysicalDevice16BitStorageFeaturesKHR Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
void * | pNext
VkBool32 | storageBuffer16BitAccess
VkBool32 | uniformAndStorageBuffer16BitAccess
VkBool32 | storagePushConstant16
VkBool32 | storageInputOutput16

## Detailed Description

Definition at line 4506 of file vulkan.h.

## Field Documentation

## pNext

void* VkPhysicalDevice16BitStorageFeaturesKHR::pNext

Definition at line 4508 of file vulkan.h.

## storageBuffer16BitAccess

VkBool32 VkPhysicalDevice16BitStorageFeaturesKHR::storageBuffer16BitAccess

Definition at line 4509 of file vulkan.h.

## storageInputOutput16

VkBool32 VkPhysicalDevice16BitStorageFeaturesKHR::storageInputOutput16

Definition at line 4512 of file vulkan.h.

## storagePushConstant16

VkBool32 VkPhysicalDevice16BitStorageFeaturesKHR::storagePushConstant16

Definition at line 4511 of file vulkan.h.

## sType

VkStructureType VkPhysicalDevice16BitStorageFeaturesKHR::sType

Definition at line 4507 of file vulkan.h.

## uniformAndStorageBuffer16BitAccess

VkBool32 VkPhysicalDevice16BitStorageFeaturesKHR::uniformAndStorageBuffer16BitAccess

Definition at line 4510 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h